qtwebsockets-opensource-src (5.15.7-1) experimental; urgency=medium

  * Apply multi-arch hints.
    + qtwebsockets5-doc, qtwebsockets5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:36:34 +0300

qtwebsockets-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qtwebsockets-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 21:43:52 +0300

qtwebsockets-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 19:09:11 +0300

qtwebsockets-opensource-src (5.15.4-3) unstable; urgency=medium

  [ Christian Marillat ]
  * Add powerpc to the list of architectures that crash on tests
    (closes: #1013169).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Jul 2022 14:19:43 +0300

qtwebsockets-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:09 +0300

qtwebsockets-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:04:05 +0300

qtwebsockets-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 17:18:16 +0300

qtwebsockets-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:40 +0300

qtwebsockets-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the large
    qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Nov 2020 20:35:44 +0300

qtwebsockets-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:26 +0300

qtwebsockets-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
  * Update debian/libqt5websockets5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Sep 2020 21:23:55 +0300

qtwebsockets-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:42:27 +0300

qtwebsockets-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Apr 2020 20:08:32 +0300

qtwebsockets-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update to debhelper compat level 12, use the new syntax.
  * Add some new symbols to debian/libqt5websockets5.symbols.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Feb 2020 17:29:44 +0300

qtwebsockets-opensource-src (5.12.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:06:24 +0300

qtwebsockets-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Simplify debian/rules by using the debian/not-installed file.
  * Make tests result fatal on armhf.
  * Remove unneeded doc-base build-dependency.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Sep 2019 16:08:41 +0300

qtwebsockets-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Improve abstract for doc-base.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Set the TESTRUNNER environment variable when running the tests, instead
    of calling xvfb-run directly. This fixes build with nocheck profile
    (closes: #929442). Thanks to Sven Mueller for the initial patch!
  * Add a proper debian/clean file.
  * Add Build-Depends-Package field to debian/libqt5websockets5.symbols.
  * Bump Qt build-dependencies to 5.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Jun 2019 10:54:39 +0300

qtwebsockets-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Apr 2019 13:15:37 +0300

qtwebsockets-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update debian/libqt5websockets5.symbols from the current build log.
  * Drop skip_test_failing_on_chroots.patch, the issue was fixed upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2019 14:39:31 +0300

qtwebsockets-opensource-src (5.11.3-5) unstable; urgency=medium

  * Ignore test failure in mips64el to allow the Qt transition to continue.
    The code has not changed and built before without problems, so we suspect
    the issue must probably be somewhere else.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Dec 2018 15:33:30 -0300

qtwebsockets-opensource-src (5.11.3-4) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:27:00 -0300

qtwebsockets-opensource-src (5.11.3-3) experimental; urgency=medium

  * Add skip_test_failing_on_chroots.patch. This test really fails on the
    buildds but not on a normal installation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 13:01:22 -0300

qtwebsockets-opensource-src (5.11.3-2) experimental; urgency=medium

  * Remove patches applied upstream. It seems my chroot is not configured as
    the buildds.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 09:15:14 -0300

qtwebsockets-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add might_not_have_connection.patch to expect a failure on a test, Debian
    buildds might not have an internet connection.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 00:03:51 -0300

qtwebsockets-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:15:01 +0300

qtwebsockets-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Update debian/copyright.
  * Make tests failures fatal on mips and mips64el. They pass currently.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Sep 2018 14:36:10 +0300

qtwebsockets-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtwebsockets-opensource-src (5.11.1-2) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:11:35 -0500

qtwebsockets-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 18:43:45 -0500

qtwebsockets-opensource-src (5.11.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.0.
  * Update symbols from build logs.
  * Fix insecure-copyright-format-uri.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Jun 2018 21:49:16 -0400

qtwebsockets-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 20:21:47 -0300

qtwebsockets-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarballs naming scheme.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Drop not needed libssl1.0-dev build-dependency (closes: #859673).
  * Add Qt_5.10 version tag to debian/libqt5websockets5.symbols.
  * Add support for nodoc build profile.
  * Use dh_auto_configure provided by debhelper (closes: #883970).
  * Bump Standards-Version to 4.9.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 17:48:13 +0300

qtwebsockets-opensource-src (5.9.2-3) unstable; urgency=medium

  * Make the tests results not fatal also on mips64el.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 28 Oct 2017 11:26:24 +0300

qtwebsockets-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:54:18 +0300

qtwebsockets-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 18:59:26 +0300

qtwebsockets-opensource-src (5.9.1-3) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:44:02 -0300

qtwebsockets-opensource-src (5.9.1-2) experimental; urgency=medium

  * Run the tests with --max-parallel=1 in hope it will reduce the
    number of test failures.
  * Temporarily ignore the tests results on armhf (not reproducible on
    porterbox) and mips (see #868745), to make the transition possible.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jul 2017 11:27:35 +0300

qtwebsockets-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream patch release.
  * Bump Qt build-dependencies to 5.9.1.
  * Run QML tests during build, drop disable_qml_tests.patch.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jul 2017 17:23:04 +0300

qtwebsockets-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Build now needs private QML headers; install qtdeclarative5-private-dev
    accordingly.
  * Install the new QWebSocketProtocol file in the development headers.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Jun 2017 11:39:41 -0500

qtwebsockets-opensource-src (5.7.1~20161021-4) unstable; urgency=medium

  * Build depend upon libssl1.0-dev. Tests use libssl and when libssl1.1 is
    present they fail.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 04 Nov 2016 11:44:33 -0300

qtwebsockets-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 09:22:29 -0300

qtwebsockets-opensource-src (5.7.1~20161021-2) experimental; urgency=medium

  * Really release to experimental.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 19:44:08 -0300

qtwebsockets-opensource-src (5.7.1~20161021-1) unstable; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 18:26:42 -0300

qtwebsockets-opensource-src (5.7.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Update debian/copyright.
  * Add Qt_5.7 version tag to debian/libqt5websockets5.symbols.

  [ Dmitry Shachnev ]
  * Switch to automatic dbgsym packages.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Sep 2016 06:43:43 -0500

qtwebsockets-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:19:54 -0300

qtwebsockets-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Simplify qtwebsockets5-examples.install, examples have all the same path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 17:44:20 -0300

qtwebsockets-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop qtry_compare.patch, applied upstream.
  * Bump Qt build-dependencies to 5.6.0.
  * Drop no longer needed hack to fix wrong path in pkgconfig files.
  * Use https for Vcs fields.
  * Update libqt5websockets5.symbols for 5.6.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Fix the order of entries in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Mar 2016 23:23:08 +0100

qtwebsockets-opensource-src (5.5.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:55:01 -0300

qtwebsockets-opensource-src (5.5.1-3) experimental; urgency=medium

  * Fix previous upload by adding the missing semicolon.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Oct 2015 14:13:00 +0300

qtwebsockets-opensource-src (5.5.1-2) experimental; urgency=medium

  * Use QTRY_COMPARE in a couple of places to make the tests less flaky
    (qtry_compare.patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Oct 2015 12:08:17 +0300

qtwebsockets-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 20:51:44 +0300

qtwebsockets-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.5.0.
  * Run the tests on kfreebsd, just ignore the tests result.
  * Do not run tests during arch-indep build.
  * Do not run QML tests, to avoid dependency on Xvfb
    (disable_qml_tests.patch; patch taken from Ubuntu).
  * Upstream has renamed Qt.WebSockets QML module to QtWebSockets
    (Qt.WebSockets still exists as a compatibility layer).
    - Add new qml-module-qtwebsockets binary package.
    - Move qml-module-qt-websockets to oldlibs section.
    - Make qml-module-qt-websockets depend on qml-module-qtwebsockets.
    - Update dependency of qtwebsockets5-examples package.
  * No-change wrap and sort.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 15:36:52 +0300

qtwebsockets-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:07:41 -0300

qtwebsockets-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Export HTML documentation.
  * Remove fix_qwebsocket_test.diff, applied upstream.
    - Remove empty debian/patches.
  * Update examples install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:04:41 -0300

qtwebsockets-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.4.1.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 14:02:24 +0000

qtwebsockets-opensource-src (5.4.0-2) experimental; urgency=medium

  * Add a patch from Helge Deller to fix failing test on some
    architectures (closes: #764893).
  * Update debian/watch for new server name.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Jan 2015 10:36:57 +0300

qtwebsockets-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.4.0.
  * Update debian/copyright.
  * Disable fix_kfreebsd_test.patch, as we skip tests on kfreebsd
    anyway.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update qtwebsockets5-examples.install.
  * Update libqt5websockets5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 15:24:20 +0300

qtwebsockets-opensource-src (5.3.2-5) unstable; urgency=medium

  * Disable tests on kfreebsd-*, we now they are not right. See
    https://bugreports.qt-project.org/browse/QTBUG-41448 for more info.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Sep 2014 00:31:13 -0300

qtwebsockets-opensource-src (5.3.2-4) unstable; urgency=medium

  * Fix some tests to work on kfreebsd. Thanks Adam Majer for the patch!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 15:17:48 -0300

qtwebsockets-opensource-src (5.3.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:07:57 -0300

qtwebsockets-opensource-src (5.3.2-2) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Add Qt Declarative build dependency and build the QML module

 -- Timo Jyrinki <timo@debian.org>  Fri, 19 Sep 2014 16:13:31 +0300

qtwebsockets-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix spaces in debian/copyright. Thanks Scott Kitterman for the hint!
  * New upstream release.
  * Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Use correct exception syntax in debian/copyright.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Sep 2014 18:30:06 -0300

qtwebsockets-opensource-src (5.3.1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Initial release (closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Jul 2014 19:17:10 -0300
